Bug 50971 - network script fails to wait for pcmcia startup
Summary: network script fails to wait for pcmcia startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-05 20:35 UTC by Need Real Name
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 04:25:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-05 20:35:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-beta2va3.11-sg i686; en-US;
rv:0.9.1) Gecko/20010607

Description of problem:
on a system with pcmcia network card (IBM ThinkPad 570E), the network
startup script fails to delay during boot for pcmcia startup.  As a result,
networking fails during boot.  Identical hardware worked under 7.1.

How reproducible:
Always

Steps to Reproduce:
1.boot system
2.network script runs, fails to find ethernet card
3.pcmcia script runs, detects etherent card
	

Actual Results:  ethernet card detected but netwokring off.

Expected Results:  working network

Additional info:

can correct by manually rerunning network scripts.  

I consider this a high priority bug - networking on laptops is important!

Comment 1 Bill Nottingham 2001-08-05 21:16:16 UTC
The script ordering isn't really relevant; something else is broken.

If you remove the calls to check_link_down from /sbin/ifup does that help?

Comment 2 Need Real Name 2001-08-05 23:38:42 UTC
commented out the check_link_down section in /sbin/ifup:

150,154c150,154
<     if check_link_down ${DEVICE}; then
<       echo $" failed; no link present.  Check cable?"
<       ip link set down ${DEVICE} >/dev/null 2>&1
<       exit 1
<     fi
---
>     #if check_link_down ${DEVICE}; then
>       #echo $" failed; no link present.  Check cable?"
>       #ip link set down ${DEVICE} >/dev/null 2>&1
>       #exit 1
>     #fi


Network start up still tries to run before pcmcia in the init scripts (runlevel
5) and reports a failure message.

The GOOD news is that networking *is* up with a dhcp-assigned ip address once I
log in.

So I'd say there remains a usability issue in initscripts, but this fixes this
functional problem. (No idea what it breaks, though)


Comment 3 Bill Nottingham 2001-08-06 03:52:04 UTC
What does /etc/sysconfig/network-scripts/ifcfg-eth0 say?

Comment 4 Glen Foster 2001-08-06 22:51:55 UTC
We (Red Hat) really need to fix this defect before next release.

Comment 5 Bill Nottingham 2001-08-07 04:25:13 UTC
Was the ONBOOT=yes in the config file set by you, or by the installer?

Comment 6 Bill Nottingham 2001-08-08 22:18:19 UTC
This should be fixed in 6.12-1; the message should go away.


Note You need to log in before you can comment on or make changes to this bug.